Bug 1079733 (perl-Catalyst-Plugin-Redirect) - Review Request: perl-Catalyst-Plugin-Redirect - Redirect for Catalyst used easily is offered
Summary: Review Request: perl-Catalyst-Plugin-Redirect - Redirect for Catalyst used ea...
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-Catalyst-Plugin-Redirect
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-23 15:15 UTC by Sven Nierlein
Modified: 2014-07-28 20:37 UTC (History)
2 users (show)

Fixed In Version: 0.02-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 20:37:49 UTC
rc040203: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-23 15:15:51 UTC
Spec URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-Redirect.spec
SRPM URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-Redirect-0.02-1.fc21.src.rpm
Description:
Catalyst::Plugin::Redirect is a Catalyst Plugin that provides
redirects.
Fedora Account System Username: sni

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6665257

Since this is my first review request, docs state that i should ask for a sponsor.

This perl module is required to proceed in #1069988
Related review requests: #1079718, #1079732

Comment 1 Ralf Corsepius 2014-03-24 07:04:12 UTC
Package is basically OK, but a missing BR: perl(strict).

i.e. please add
BuildRequires: perl(strict)

Besides this, similar remarks wrt. rhel as with your other packages also apply here.

Comment 2 Sven Nierlein 2014-03-24 21:04:01 UTC
spec and src rpm updated.

BR:s added and implemented remarks from the other packages.

Comment 3 Sven Nierlein 2014-04-06 09:58:01 UTC
I updated the spec file according to comments from the related bugs and
uploaded new files here:

http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-Redirect.spec
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-Redirect-0.02-1.fc21.noarch.rpm

Comment 5 Ralf Corsepius 2014-04-06 19:29:43 UTC
(In reply to Sven Nierlein from comment #4)
> Source RPM:
> http://nierlein.com/fedora/2014-04-06/perl-LWP-Protocol-connect-6.06-1.fc21.
> src.rpm
Wrong BZ?

(In reply to Sven Nierlein from comment #3)
> http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-Redirect-0.02-1.
> fc21.noarch.rpm
Please increment the NEVR each time you change your package. This review isn't going anywhere unless you finally do so.

Comment 6 Sven Nierlein 2014-04-06 19:37:28 UTC
ok, sorry, this is my first review. I will update the packages and do a new upload.

Comment 7 Sven Nierlein 2014-04-11 14:37:39 UTC
So what would be the correct way to continue, my idea is, that we have a correct spec file at the end of the review process. So i would increase the NEVR, update the last changelog entry (date and version) and upload new files.

Comment 8 Sven Nierlein 2014-04-21 13:52:19 UTC
new spec file: http://nierlein.com/fedora/2014-04-21/perl-Catalyst-Plugin-Redirect.spec

i only changed the release number.

Comment 9 Ralf Corsepius 2014-04-24 23:57:45 UTC
Missing [MUSTFIX]: 
Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Comment 10 Sven Nierlein 2014-05-20 15:55:58 UTC
I update the spec file and added the compat requires and more BRs according to cpanspec.

New files are here:
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-Plugin-Redirect.spec
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-Plugin-Redirect-0.02-3.fc21.src.rpm

Comment 11 Ralf Corsepius 2014-06-09 15:17:37 UTC
Closer but still no cigar:

Please remove the "R: perl(Catalyst)".

It's redundant to what rpm detects automatically.

Comment 13 Ralf Corsepius 2014-07-28 05:11:47 UTC
Everything's OK, now.

APPROVED

Comment 14 Sven Nierlein 2014-07-28 18:56:49 UTC
New Package SCM Request
=======================
Package Name: perl-Catalyst-Plugin-Redirect
Short Description: Catalyst::Plugin::Redirect is a Catalyst Plugin that provides
redirects.
Owners: sni
Branches: f21
InitialCC: perl-sig

Comment 15 Gwyn Ciesla 2014-07-28 19:16:50 UTC
Git done (by process-git-requests).

Comment 16 Sven Nierlein 2014-07-28 20:37:49 UTC
build and upload completed


Note You need to log in before you can comment on or make changes to this bug.